summaryrefslogtreecommitdiffstats
path: root/root
diff options
context:
space:
mode:
Diffstat (limited to 'root')
-rw-r--r--root/.bash_aliases25
-rw-r--r--root/.config/i3/config2
-rwxr-xr-xroot/.xinitrc3
-rwxr-xr-xroot/.xprofile1
-rwxr-xr-xroot/posodobi.sh8
5 files changed, 35 insertions, 4 deletions
diff --git a/root/.bash_aliases b/root/.bash_aliases
index c95955c..5b74f6a 100644
--- a/root/.bash_aliases
+++ b/root/.bash_aliases
@@ -12,6 +12,22 @@ function register () {
n=`curl -s https://www.register.si | grep nonce | head -n 1 | cut -d\" -f8`
curl -s https://www.register.si/wp-admin/admin-ajax.php -X POST --data-raw "_ajax_nonce=$n&action=get_whois_data&domain=`sed s/.si\$//g <<<$1`.si" | grep "<td>" | sed "s/^\s*//g" | cut -d\< -f2 | cut -d\> -f2 | grep "[[:print:]]"
}
+function eurid () {
+ domain=`sed 's/\.eu$//' <<<$1`
+ json=`curl -s https://eurid.eu/en/das/?domain=$domain`
+ status=`jq --raw-output .status <<<$json`
+ if [ $status = NOT_AVAILABLE ]
+ then
+ return 0
+ fi
+ if [ $status = AVAILABLE ]
+ then
+ return 1
+ fi
+ echo $json
+ return 2
+
+}
alias r=R
alias R="R --quiet"
alias jupyter-server="jupyter-server --allow-root"
@@ -87,3 +103,12 @@ function j () {
alias gl="git log --graph"
export MPLBACKEND=gtk4agg
alias dc="rlwrap dc"
+alias vscodium="vscodium --no-sandbox --user-data-dir .local/state/vscodium"
+function changedetection_diff_html() {
+ for i in `unzip -p $1 url-watches.json | jq --raw-output '.watching[] | (.url + "@" + .uuid)'`
+ do
+ url=`cut -d@ -f1 <<<$i`
+ uuid=`cut -d@ -f2 <<<$i`
+ echo "<li> <a href=http://b.šijanec.eu.:25788/diff/$uuid#text>$url</a>"
+ done
+}
diff --git a/root/.config/i3/config b/root/.config/i3/config
index 8770426..ee2ebfa 100644
--- a/root/.config/i3/config
+++ b/root/.config/i3/config
@@ -15,7 +15,7 @@ floating_modifier $mod
bindsym $mod+Return exec xterm
# bindsym $mod+q kill
bindsym $mod+Shift+q kill
-bindsym $mod+d exec dmenu_run -f -fn terminus
+bindsym $mod+d exec dmenu_run -fn terminus
# bindsym $mod+d exec --no-startup-id i3-dmenu-desktop --dmenu "dmenu -i -fn terminus"
# bindsym $mod+Shift+zcaron exec /home/a/.screenlayout/fix-discord.sh
bindsym $mod+ccaron focus left
diff --git a/root/.xinitrc b/root/.xinitrc
index 4d4c713..ab7d226 100755
--- a/root/.xinitrc
+++ b/root/.xinitrc
@@ -2,4 +2,5 @@
[ -f ~/.xprofile ] && . ~/.xprofile
picom &
hsetroot -solid black
-exec dbus-run-session sh -c "dex -a && exec i3"
+# dex -a dal stran
+exec dbus-run-session sh -c "exec i3"
diff --git a/root/.xprofile b/root/.xprofile
index 15941d2..3f0a513 100755
--- a/root/.xprofile
+++ b/root/.xprofile
@@ -1,4 +1,5 @@
xrandr --output HDMI-1 --set "Broadcast RGB" "Full"
+xrandr --output HDMI-1 --right-of DP-1
setxkbmap si
xset r rate 150 60 # delay cps
xset b off # zvonček
diff --git a/root/posodobi.sh b/root/posodobi.sh
index c150fb5..e490d84 100755
--- a/root/posodobi.sh
+++ b/root/posodobi.sh
@@ -26,8 +26,12 @@ a=
grep "no-sync" <<<"$@" || /usr/sbin/emaint sync --auto
grep "no-ask" <<<"$@" || a=--ask
grep "colo" <<<"$@" && f="$f --color y"
-[ `hostname` = varovalka ] && f="$f --exclude=media-libs/mesa"
-emerge --tree --verbose --update $f $a --newuse --changed-use --backtrack 30 --deep --with-bdeps=y --rebuilt-binaries --autounmask --autounmask-write --autounmask-backtrack=y @world
+[ `hostname` = varovalka ] && f="$f" # --exclude=media-libs/mesa
+swap=/mnt/slu/a/tmp/swap
+[ -f $swap ] && swapon $swap
+trap "swapoff $swap" EXIT
+emerge --tree --verbose --update $f $a --newuse --changed-use --backtrack 30 --deep --with-bdeps=y --rebuilt-binaries --autounmask --autounmask-write --autounmask-backtrack=y @world # --exclude=sci-electronics/kicad
emerge --verbose $f --autounmask-write --autounmask @preserved-rebuild
emerge --depclean $f
/root/linux/dist.sh
+dmenu_path > /dev/null # update cache